#ifndef ICON_TASKS_DBUS_H
#define ICON_TASKS_DBUS_H

#include <QDBusAbstractAdaptor>
#include "tasks.h"

namespace IconTasks
{

class Dbus : public QDBusAbstractAdaptor
{
    Q_OBJECT
    Q_CLASSINFO("D-Bus Interface", "org.kde.plasma.icontasks")

    public:

    Dbus(Tasks *applet) : QDBusAbstractAdaptor(applet), m_applet(applet) { }

    public Q_SLOTS:

    Q_SCRIPTABLE QString dump() { return m_applet->dump(); }
    Q_NOREPLY    void toggleDebug(int debug) { return m_applet->toggleDebug(debug); }

    private:
    
    Tasks *m_applet;
};

}

#endif
